<!-- src/views/HomePage.vue -->

<template>
  <div class="mt-2 lg:mt-8 pb-1 lg:pb-3 text-center">
    <p class="mb-3">Welcome to</p>
    <h1 class="mb-3">ATK Self-Reporting System</h1>
    <p>Conveniently report your ATK results to contribute to a safer campus environment!</p>

    <div class="m-auto mt-5" v-if="isLoggedIn">
      <Button label="UPLOAD" @click="navigateToUpload" class="block m-auto w-auto border-round-lg mt-3 px-8"></Button>
      <Button label="STATUS" @click="navigateToStatus" class="block m-auto w-auto border-round-lg mt-3 px-8"></Button>
    </div>

    <div class="m-auto mt-5" v-else>
      <Button label="LOGIN" @click="navigateToLogin" class="block m-auto w-auto border-round-lg mt-3 px-8"></Button>
      <Button
        label="REGISTER"
        @click="navigateToRegister"
        class="block m-auto w-auto border-round-lg mt-3 px-8"
      ></Button>
    </div>
  </div>
</template>

<script setup>
import { useUserStore } from '@/stores/userStore';
import { storeToRefs } from 'pinia';
import { useRouter } from 'vue-router';

const router = useRouter();
const userStore = useUserStore();
const { userData, isLoggedIn } = storeToRefs(userStore);

function navigateToLogin() {
  router.push('/login');
}

function navigateToRegister() {
  router.push('/register');
}

function navigateToUpload() {
  router.push('/upload');
}

function navigateToStatus() {
  router.push('/status');
}
</script>
